Subject: [6tisch] Thomas's editorial remarks on draft-ietf-6tisch-minimal-02

From: Thomas Watteyne <[email-masked]>
Date: Sun, 26 Oct 2014 13:30:25 -0700

Xavi, Kris,

I understand you are preparing a new version of draft-ietf-6tisch-minimal.
I have re-read draft-ietf-6tisch-minimal-02  and have the following
editorial suggestions for integration in the new version.

Thomas

---

OLD
this minimal mode of operation can also be used during network bootstrap
NEW
this minimal mode of operation MAY also be used during network bootstrap

OLD
the minimal configuration can be used as a fall-back mode of operation
NEW
the minimal configuration MAY be used as a fall-back mode of operation

REMOVE
", also Enhanced Beacons can be used to periodically update nodes
information"

REMOVE
, but during initial implementation and debugging it may be convenient to
preconfigure these information at the nodes.

OLD
EBs are sent using this active slot and are not acknowledged
NEW
EBs are sent using this active slot, to the link-layer broadcast address
(and are therefore not acknowledged)

OLD
(can be used by a dynamic scheduling mechanism)
NEW
(MAY be used by a dynamic scheduling mechanism)

OLD
Additional available cells can be scheduled by a dynamic scheduling solution
NEW
Additional available cells MAY be scheduled by a dynamic scheduling solution

OLD
This document recommends to keep the following information in the neighbor
table
NEW
Keeping the following information in the neighbor table is RECOMMENDED

OLD
 the time source neighbor selection should be assessed by other metrics
that can help determine the better connectivity link
NEW
 the time source neighbor selection SHOULD be assessed by other metrics
that can help determine the better connectivity link

OLD
 This document recommends the use of a single queue with the following
rules:
NEW
The use of a single queue with the following rules is RECOMMENDED

OLD
It also recommends the strict application of RPL consideration introduced
above.
NEW
It also RECOMMENDS the strict application of RPL consideration introduced
above.

OLD
a minimal configuration for RPL should indicate the preferred mode of
operation
NEW
a minimal configuration for RPL SHOULD indicate the preferred mode of
operation

---

From: Xavier Vilajosana <[email-masked]>
Date: Sun, 26 Oct 2014 21:33:29 +0100

Thanks Thomas,

this clarifies some sentences. We will include them to the version we are
planning to submit tomorrow morning at latest.

regards,
Xavi

2014-10-26 21:30 GMT+01:00 Thomas Watteyne <[email-masked]>:

> _______________________________________________
> 6tisch mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/6tisch
>
>

---

From: Thomas Watteyne <[email-masked]>
Date: Sun, 26 Oct 2014 13:33:52 -0700

Great, thanks!

On Sun, Oct 26, 2014 at 1:33 PM, Xavier Vilajosana <
[email-masked]> wrote:

>> I understand you are preparing a new version
>> of draft-ietf-6tisch-minimal. I have re-read draft-ietf-6tisch-minimal-02
>>  and have the following editorial suggestions for integration in the new
>> version.
>>
>> Thomas
>>
>> ---
>>
>> OLD
>> This document recommends to keep the following information in the
>> neighbor table
>> NEW